Debian 6.0 a.k.a. Squeeze gets Long Term Support

If you happen tDebiano have some server(s) running the ‘old stable’ dubbed as Squeeze from Debian then you are in luck.The project announced that they will provide long term support (LTS) to Squeeze until February of 2016 and that’s great news.

The updates (mainly related to security) will target the i386 and amd64 and not all the packages will be covered but my guess is the important and most used will be maintained very well.

To keep your box(es) updated you need to add the “LTS” repository to your /etc/apt/sources.list file like this:

deb squeeze-lts main contrib non-free
deb-src squeeze-lts main contrib non-free

After adding the lines, we just update and upgrade as needed:

apt-get update && apt-get upgrade && apt-get dis-upgrade

Of course you may want to check the available versions with:

apt-cache policy <package_name>

before deciding to proceed with the updates.

Leave a Reply

Your email address will not be published. Required fields are marked *